package com.ruoyi.service.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("数据服务请求排序参数")
public class SortDTO {
    @ApiModelProperty("排序字段")
    private String sort;
    @ApiModelProperty("排序方式:asc：升序、desc：降序")
    private String sortOrder;

    public String getSort() {
        return this.sort;
    }

    public String getSortOrder() {
        return this.sortOrder;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public void setSortOrder(String sortOrder) {
        this.sortOrder = sortOrder;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof com.ruoyi.service.domain.SortDTO)) {
            return false;
        } else {
            com.ruoyi.service.domain.SortDTO other = (com.ruoyi.service.domain.SortDTO)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$sort = this.getSort();
                Object other$sort = other.getSort();
                if (this$sort == null) {
                    if (other$sort != null) {
                        return false;
                    }
                } else if (!this$sort.equals(other$sort)) {
                    return false;
                }

                Object this$sortOrder = this.getSortOrder();
                Object other$sortOrder = other.getSortOrder();
                if (this$sortOrder == null) {
                    if (other$sortOrder != null) {
                        return false;
                    }
                } else if (!this$sortOrder.equals(other$sortOrder)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof com.ruoyi.service.domain.SortDTO;
    }

    public int hashCode() {
        int PRIME = 1;
        int result = 1;
        Object $sort = this.getSort();
        result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
        Object $sortOrder = this.getSortOrder();
        result = result * 59 + ($sortOrder == null ? 43 : $sortOrder.hashCode());
        return result;
    }

    public String toString() {
        return "SortDTO(sort=" + this.getSort() + ", sortOrder=" + this.getSortOrder() + ")";
    }

    public SortDTO(String sort, String sortOrder) {
        this.sort = sort;
        this.sortOrder = sortOrder;
    }

    public SortDTO() {
    }
}

