package com.ruoyi.service.domain;

public class APIRequestDTO {
    private AuthInfo authInfo;
    private String subServiceId;
    private String applicationId;

    public AuthInfo getAuthInfo() {
        return this.authInfo;
    }

    public String getSubServiceId() {
        return this.subServiceId;
    }

    public String getApplicationId() {
        return this.applicationId;
    }

    public void setAuthInfo(AuthInfo authInfo) {
        this.authInfo = authInfo;
    }

    public void setSubServiceId(String subServiceId) {
        this.subServiceId = subServiceId;
    }

    public void setApplicationId(String applicationId) {
        this.applicationId = applicationId;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof com.ruoyi.service.domain.APIRequestDTO)) {
            return false;
        } else {
            com.ruoyi.service.domain.APIRequestDTO other = (com.ruoyi.service.domain.APIRequestDTO)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label47: {
                    Object this$authInfo = this.getAuthInfo();
                    Object other$authInfo = other.getAuthInfo();
                    if (this$authInfo == null) {
                        if (other$authInfo == null) {
                            break label47;
                        }
                    } else if (this$authInfo.equals(other$authInfo)) {
                        break label47;
                    }

                    return false;
                }

                Object this$subServiceId = this.getSubServiceId();
                Object other$subServiceId = other.getSubServiceId();
                if (this$subServiceId == null) {
                    if (other$subServiceId != null) {
                        return false;
                    }
                } else if (!this$subServiceId.equals(other$subServiceId)) {
                    return false;
                }

                Object this$applicationId = this.getApplicationId();
                Object other$applicationId = other.getApplicationId();
                if (this$applicationId == null) {
                    if (other$applicationId != null) {
                        return false;
                    }
                } else if (!this$applicationId.equals(other$applicationId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof com.ruoyi.service.domain.APIRequestDTO;
    }

    public int hashCode() {
        int PRIME = 1;
        int result = 1;
        Object $authInfo = this.getAuthInfo();
        result = result * 59 + ($authInfo == null ? 43 : $authInfo.hashCode());
        Object $subServiceId = this.getSubServiceId();
        result = result * 59 + ($subServiceId == null ? 43 : $subServiceId.hashCode());
        Object $applicationId = this.getApplicationId();
        result = result * 59 + ($applicationId == null ? 43 : $applicationId.hashCode());
        return result;
    }

    public String toString() {
        return "APIRequestDTO(authInfo=" + this.getAuthInfo() + ", subServiceId=" + this.getSubServiceId() + ", applicationId=" + this.getApplicationId() + ")";
    }

    public APIRequestDTO() {
    }

    public APIRequestDTO(AuthInfo authInfo, String subServiceId, String applicationId) {
        this.authInfo = authInfo;
        this.subServiceId = subServiceId;
        this.applicationId = applicationId;
    }
}

