package com.ruoyi.service.domain;


import com.ruoyi.service.domain.APIRequestDTO;

import java.util.HashMap;

public class ThirdServiceRequestDTO extends APIRequestDTO {
    private HashMap<String, String> params;
    private String bodyContent;

    public ThirdServiceRequestDTO() {
    }

    public ThirdServiceRequestDTO(HashMap<String, String> params, String bodyContent) {
        this.params = params;
        this.bodyContent = bodyContent;
    }

    public HashMap<String, String> getParams() {
        return this.params;
    }

    public String getBodyContent() {
        return this.bodyContent;
    }

    public static class Builder {
        private HashMap<String, String> params;
        private String bodyContent;

        public Builder() {
        }

        public com.ruoyi.service.domain.ThirdServiceRequestDTO.Builder params(HashMap<String, String> params) {
            this.params = params;
            return this;
        }

        public com.ruoyi.service.domain.ThirdServiceRequestDTO.Builder bodyContent(String bodyContent) {
            this.bodyContent = bodyContent;
            return this;
        }

        public com.ruoyi.service.domain.ThirdServiceRequestDTO build() {
            return new com.ruoyi.service.domain.ThirdServiceRequestDTO(this.params, this.bodyContent);
        }
    }
}

